<?php

namespace FiloBlu\Popup\Block\Adminhtml\Popup;

use Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;

/**
 * Class BackButton
 */
class BackButton extends GenericButton implements ButtonProviderInterface
{
    /**
     * @return array
     */

  public function getButtonData()
  {
    return [
            'label' => __('Back '),
            'on_click' => sprintf("location.href = '%s';", $this->getBackUrl()),
            'class' => 'back',
            'sort_order' => 10
           ];
  }

  public function getBackUrl()
  {
    return $this->getUrl('*/*/');
  }

}
